Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes_mtc.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes_mtc.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes_mtc.f90	(revision 257)
@@ -75,5 +75,8 @@
   &    .TRUE.,  .TRUE.,  .TRUE., .TRUE., .FALSE., &
   &    .FALSE., .FALSE., .FALSE. /)
-  !-
+  ! used in diffuco
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)        :: rveg_mtc = &  
+  & (/ 1., 1., 1., 1., 1., 1. ,1. ,1. ,1. ,1. ,1. ,1., 1. /)
+  !
   !-
   ! 2 .Stomate
@@ -95,4 +98,108 @@
   &              .TRUE.,  .TRUE.,  .TRUE.,  .TRUE., .FALSE., .FALSE. /)
 
+  !>> DS new for merge in the trunk   ! 15/06/2011 
+  ! Add for writing history files in stomate_lpj.f90 'treeFracPrimDec' and 'treeFracPrimEver'
+  ! is PFT deciduous ?
+  LOGICAL, PARAMETER, DIMENSION(nvmc)    :: is_deciduous_mtc  = &
+  & (/  .FALSE.,  .FALSE.,  .TRUE.,  .FALSE.,  .FALSE.,  .TRUE.,  .FALSE.,   &
+  &              .TRUE.,  .TRUE.,  .FALSE.,  .FALSE., .FALSE., .FALSE. /)
+  ! is PFT evergreen ?
+  LOGICAL, PARAMETER, DIMENSION(nvmc)    :: is_evergreen_mtc  = &
+  & (/  .FALSE.,  .TRUE.,  .FALSE.,  .TRUE.,  .TRUE.,  .FALSE.,  .TRUE.,   &
+  &              .FALSE.,  .FALSE.,  .FALSE.,  .FALSE., .FALSE., .FALSE. /)        
+  ! is PFT C3 ?
+  LOGICAL, PARAMETER, DIMENSION(nvmc)    :: is_c3_mtc = &  
+  & (/.FALSE.,.FALSE.,.FALSE.,.FALSE.,.FALSE.,.FALSE.,         &
+  &   .FALSE.,.FALSE.,.FALSE.,.TRUE.,.FALSE.,.TRUE.,.FALSE. /)
+
+  !-------------------------------
+  ! Evapotranspiration -  sechiba
+  !-------------------------------
+  !
+  ! Structural resistance.
+  ! Value for rstruct_const : one for each vegetation type
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: rstruct_const_mtc = &
+  & (/ 0.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0,   &
+  &   25.0, 25.0,  2.5,  2.0,  2.0,  2.0 /)
+  !-
+  ! A vegetation dependent constant used in the calculation
+  ! of the surface resistance.
+  ! Value for kzero one for each vegetation type
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     ::  kzero_mtc  =  &
+  & (/0.0, 12.E-5, 12.E-5, 12.e-5, 12.e-5, 25.e-5, 12.e-5,&
+  &    25.e-5, 25.e-5, 30.e-5, 30.e-5, 30.e-5, 30.e-5     /)
+
+
+  !-------------------
+  ! Water - sechiba
+  !-------------------
+  !
+  ! Maximum field capacity for each of the vegetations (Temporary).
+  ! Value of wmax_veg : max quantity of water :
+  ! one for each vegetation type en Kg/M3
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: wmax_veg_mtc  = &
+  & (/ 150., 150., 150., 150., 150., 150., 150., &
+  &    150., 150., 150., 150., 150., 150. /)
+  !-
+  ! Root profile description for the different vegetation types.
+  ! These are the factor in the exponential which gets
+  ! the root density as a function of depth
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: humcste_mtc  = &
+  & (/5., .8, .8, 1., .8, .8, 1., 1., .8, 4., 4., 4., 4./)
+  ! used in both hydrology modules
+   REAL(r_std), PARAMETER, DIMENSION(nvmc)              :: throughfall_by_mtc = &
+  & (/ 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30. /)
+
+  !------------------
+  ! Albedo - sechiba
+  !------------------
+  !
+  ! Initial snow albedo value for each vegetation type
+  ! as it will be used in condveg_snow
+  ! Values are from the Thesis of S. Chalita (1992)
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: snowa_ini_mtc = &
+  & (/ 0.35, 0.,   0.,   0.14, 0.14, &
+  &    0.14, 0.14, 0.14, 0.14, 0.18, &
+  &    0.18, 0.18, 0.18 /)
+  !-
+  ! Decay rate of snow albedo value for each vegetation type
+  ! as it will be used in condveg_snow
+  ! Values are from the Thesis of S. Chalita (1992)
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: snowa_dec_mtc = &
+  & (/ 0.45, 0.,   0.,   0.06, 0.06, &
+  &    0.11, 0.06, 0.11, 0.11, 0.52, &
+  &    0.52, 0.52, 0.52 /)
+  !-
+  ! leaf albedo of vegetation type, visible albedo
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: alb_leaf_vis_mtc = &
+  & (/ .00, .04, .06, .06, .06, &
+  &    .06, .06, .06, .06, .10, &
+  &    .10, .10, .10 /) 
+  ! leaf albedo of vegetation type, near infrared albedo
+  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: alb_leaf_nir_mtc = &
+  & (/   .00, .20, .22, .22, .22, &
+  &      .22, .22, .22, .22, .30, &
+  &      .30, .30, .30   /)
+
+
+  !------------------------
+  !   Soil - vegetation
+  !------------------------
+  !
+  ! Table which contains the correlation between the soil types
+  ! and vegetation type. Two modes exist :
+  !  1) pref_soil_veg = 0 then we have an equidistribution
+  !     of vegetation on soil types
+  !  2) Else for each pft the prefered soil type is given :
+  !     1=sand, 2=loan, 3=clay
+  ! The variable is initialized in slowproc.
+  INTEGER(i_std), PARAMETER, DIMENSION(nvmc)     :: pref_soil_veg_sand_mtc = &
+  & (/ 1, 3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2 /)
+
+  INTEGER(i_std), PARAMETER, DIMENSION(nvmc)     :: pref_soil_veg_loan_mtc = &
+  & (/ 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 /)
+
+  INTEGER(i_std), PARAMETER, DIMENSION(nvmc)     :: pref_soil_veg_clay_mtc = &
+  & (/ 3, 1, 1, 1, 1, 1 ,1 ,1 ,1 ,1 ,1 ,1, 1 /)
 
   !----------------
@@ -104,6 +211,6 @@
   ! flag for C4 vegetation types
   LOGICAL,PARAMETER, DIMENSION(nvmc) ::    is_c4_mtc  =        &  
-  & (/.false.,.false.,.false.,.false.,.false.,.false.,         &
-  &   .false.,.false.,.false.,.false.,.true.,.false.,.true. /)
+  & (/.FALSE.,.FALSE.,.FALSE.,.FALSE.,.FALSE.,.FALSE.,         &
+  &   .FALSE.,.FALSE.,.FALSE.,.FALSE.,.TRUE.,.FALSE.,.TRUE. /)
   !-
   ! Slope of the gs/A relation (Ball & al.)
@@ -409,4 +516,11 @@
   & (/ undef,    5.,        5.,       5.,        5.,       5.,      5.,   &
   &              5.,        5.,    undef,     undef,    undef,   undef   /)
+
+  !>> DS new for merge in the trunk
+  ! 15/06/2011 : add leaflife_mtc for the new formalism used for calculate sla
+  REAL(r_std) ,PARAMETER , DIMENSION(nvmc)   ::   leaflife_mtc = &
+  & (/  undef,      .5,      2.,     .33,      1.,     2.,      .33,   &
+  &            2.,      2.,      2.,      2.,     2.,        2. /)
+
   !-
   ! 3. Senescence
@@ -493,107 +607,4 @@
 
 
-  !-------------------------------
-  ! Evapotranspiration -  sechiba
-  !-------------------------------
-  !
-  ! Structural resistance.
-  ! Value for rstruct_const : one for each vegetation type
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: rstruct_const_mtc = &
-  & (/ 0.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0,   &
-  &   25.0, 25.0,  2.5,  2.0,  2.0,  2.0 /)
-  !-
-  ! A vegetation dependent constant used in the calculation
-  ! of the surface resistance.
-  ! Value for kzero one for each vegetation type
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     ::  kzero_mtc  =  &
-  & (/0.0, 12.E-5, 12.E-5, 12.e-5, 12.e-5, 25.e-5, 12.e-5,&
-  &    25.e-5, 25.e-5, 30.e-5, 30.e-5, 30.e-5, 30.e-5     /)
-
-
-  !-------------------
-  ! Water - sechiba
-  !-------------------
-  !
-  ! Maximum field capacity for each of the vegetations (Temporary).
-  ! Value of wmax_veg : max quantity of water :
-  ! one for each vegetation type en Kg/M3
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: wmax_veg_mtc  = &
-  & (/ 150., 150., 150., 150., 150., 150., 150., &
-  &    150., 150., 150., 150., 150., 150. /)
-  !-
-  ! Root profile description for the different vegetation types.
-  ! These are the factor in the exponential which gets
-  ! the root density as a function of depth
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: humcste_mtc  = &
-  & (/5., .8, .8, 1., .8, .8, 1., 1., .8, 4., 4., 4., 4./)
-
-
-  !------------------
-  ! Albedo - sechiba
-  !------------------
-  !
-  ! Initial snow albedo value for each vegetation type
-  ! as it will be used in condveg_snow
-  ! Values are from the Thesis of S. Chalita (1992)
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: snowa_ini_mtc = &
-  & (/ 0.35, 0.,   0.,   0.14, 0.14, &
-  &    0.14, 0.14, 0.14, 0.14, 0.18, &
-  &    0.18, 0.18, 0.18 /)
-  !-
-  ! Decay rate of snow albedo value for each vegetation type
-  ! as it will be used in condveg_snow
-  ! Values are from the Thesis of S. Chalita (1992)
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: snowa_dec_mtc = &
-  & (/ 0.45, 0.,   0.,   0.06, 0.06, &
-  &    0.11, 0.06, 0.11, 0.11, 0.52, &
-  &    0.52, 0.52, 0.52 /)
-  !-
-  ! leaf albedo of vegetation type, visible albedo
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: alb_leaf_vis_mtc = &
-  & (/ .00, .04, .06, .06, .06, &
-  &    .06, .06, .06, .06, .10, &
-  &    .10, .10, .10 /) 
-  ! leaf albedo of vegetation type, near infrared albedo
-  REAL(r_std), PARAMETER, DIMENSION(nvmc)     :: alb_leaf_nir_mtc = &
-  & (/   .00, .20, .22, .22, .22, &
-  &      .22, .22, .22, .22, .30, &
-  &      .30, .30, .30   /)
-
-
-  !
-  !------------------------
-  !   Soil - vegetation
-  !------------------------
-
-  ! Table which contains the correlation between the soil types
-  ! and vegetation type. Two modes exist :
-  !  1) pref_soil_veg = 0 then we have an equidistribution
-  !     of vegetation on soil types
-  !  2) Else for each pft the prefered soil type is given :
-  !     1=sand, 2=loan, 3=clay
-  ! The variable is initialized in slowproc.
-  INTEGER(i_std), PARAMETER, DIMENSION(nvmc)     :: pref_soil_veg_sand_mtc = &
-  & (/ 1, 3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2 /)
-
-  INTEGER(i_std), PARAMETER, DIMENSION(nvmc)     :: pref_soil_veg_loan_mtc = &
-  & (/ 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3 /)
-
-  INTEGER(i_std), PARAMETER, DIMENSION(nvmc)     :: pref_soil_veg_clay_mtc = &
-  & (/ 3, 1, 1, 1, 1, 1 ,1 ,1 ,1 ,1 ,1 ,1, 1 /)
-
-
-  !
-  !-------------------------------
-  ! Parameters already externalised (from sechiba)
-  ! to classify
-  !----------------------------------
-  !
-  ! used in hydrolc
-   REAL(r_std), PARAMETER, DIMENSION(nvmc)              :: throughfall_by_mtc = &
-  & (/ 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30. /)
-  ! used in diffuco
-   REAL(r_std), PARAMETER, DIMENSION(nvmc)        :: rveg_mtc = &  
-  & (/ 1., 1., 1., 1., 1., 1. ,1. ,1. ,1. ,1. ,1. ,1., 1. /)
-
-
+!------------------------
 END MODULE constantes_mtc
